Package Details: krop 0.6.0-1

Git Clone URL: https://aur.archlinux.org/krop.git (read-only, click to copy)
Package Base: krop
Description: A tool to crop PDF files, with an eye towards eReaders.
Upstream URL: http://arminstraub.com/computer/krop
Licenses: GPL3
Submitter: archtux
Maintainer: XavierCLL
Last Packager: XavierCLL
Votes: 32
Popularity: 0.047473
First Submitted: 2013-07-31 12:39
Last Updated: 2020-06-19 23:15

Pinned Comments

XavierCLL commented on 2020-06-19 23:18

If you get this error RuntimeError: Please install popplerqt5 first rebuild python-poppler-qt5 from AUR, NOT use the binary from some unofficial repository, sometimes it happens with those unofficial repos that some libraries are out of sync with the latest version of python

Latest Comments

1 2 3 4 Next › Last »

XavierCLL commented on 2020-07-21 01:02

@s1ck-b0y good!

s1ck-b0y commented on 2020-07-21 00:06

Nevermind haha I deleted and rebuilt practically everything and now its working. I've probably messed the files in the past. Sorry for the trouble.

s1ck-b0y commented on 2020-07-20 12:27

Hi @XavierCLL. That's exactly what I did :c

XavierCLL commented on 2020-07-01 17:39

Hi @s1ck-b0y, you need to rebuild (python-poppler-qt5 or python-poppler-qt5-git) from AUR, NOT use the binary from some unofficial repository (such as herecura or archlinuxcn), sometimes it happens with those unofficial repos that some libraries are out of sync with the latest version of python

s1ck-b0y commented on 2020-07-01 16:55

@XavierCLL Still cannot run it.

Traceback (most recent call last):
  File "/usr/lib/python3.8/site-packages/krop/vieweritem.py", line 21, in <module>
    from popplerqt5 import Poppler
ImportError: /usr/lib/python3.8/site-packages/popplerqt5.cpython-38-x86_64-linux-gnu.so: cannot open shared object file: Permission denied

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/krop", line 11, in <module>
    load_entry_point('krop', 'console_scripts', 'krop')()
  File "/usr/lib/python3.8/site-packages/krop/application.py", line 81, in main
    from krop.mainwindow import MainWindow
  File "/usr/lib/python3.8/site-packages/krop/mainwindow.py", line 45, in <module>
    from krop.vieweritem import ViewerItem
  File "/usr/lib/python3.8/site-packages/krop/vieweritem.py", line 24, in <module>
    raise RuntimeError(_msg)
RuntimeError: Please install popplerqt5 first.

XavierCLL commented on 2020-06-19 23:18

If you get this error RuntimeError: Please install popplerqt5 first rebuild python-poppler-qt5 from AUR, NOT use the binary from some unofficial repository, sometimes it happens with those unofficial repos that some libraries are out of sync with the latest version of python

XavierCLL commented on 2020-01-06 20:28

Hi Alleut, that is a problem of 'python-poppler-qt5' maintainer but you can install 'python-poppler-qt5-git' to supply this dep

Anonymous comment on 2020-01-06 10:19

Something is missing

LC_ALL=en_US \pikaur -S krop
Reading repository package databases...
Reading local package database...
Resolving AUR dependencies...
:: error: Can't resolve dependencies for AUR package 'python-poppler-qt5':
:: error: Dependencies missing for python-poppler-qt5
:: warning: Following package cannot be found in AUR:
    python-sip-pyqt5

XavierCLL commented on 2018-11-27 15:39

@teoretic: https://wiki.manjaro.org/index.php?title=Arch_User_Repository

Tio commented on 2018-11-27 11:04

@XavierCLL Thanks. Unfortunately I am not knowledgeable enough to understand what you are pointing me at.